"use strict";

//var mdAppState = {};
/**
 * test.
 * @constructor
 */
function mdAppState() {
	this.test = "";
}

mdAppState._LoadedVals = {};

mdAppState.LoadVal = function(varname) {
	var output;
	// Try to load from cache (ram).
	if (varname in mdAppState._LoadedVals) {
		output = mdAppState._LoadedVals[varname];
	}
	else {
		output = localStorage.getItem(varname);
		// If varname DNE, getItem() (and LoadVal()) return null.
		if (output !== null) {
			output = JSON.parse(output);
		}
		// Cache in ram.
		mdAppState._LoadedVals[varname] = output;
	}
	return output;
}
mdAppState.SaveVal = function(varname, value) {
	localStorage.setItem(varname, JSON.stringify(value));
	//LogDebug("Saved data - " + varname);
	// Cache in ram.
	mdAppState._LoadedVals[varname] = value;
}
mdAppState.ValExists = function(varname) {
	return mdAppState.LoadVal(varname) !== null;
}

